org.apache.ignite.internal.visor.node

## Class VisorQueryConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorQueryConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorQueryConfiguration
    extends Object
    implements Serializable

Data transfer object for query configuration data.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryConfiguration()`

### Method Summary

Methods
`static VisorQueryConfiguration` `from(QueryConfiguration qcfg)`
`String[]` `indexCustomFunctionClasses()`
`String` `initialScriptPath()`
`boolean` `longQryExplain()`
`long` `longQueryExecutionTimeout()`
`long` `maxOffHeapMemory()`
`String[]` `searchPath()`
`String` `toString()`
`boolean` `useOptimizedSerializer()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorQueryConfiguration

    public VisorQueryConfiguration()

### Method Detail

#### from

    public static VisorQueryConfiguration from(QueryConfiguration qcfg)

Parameters:
  `qcfg` - Query configuration.
Returns:
  Fill data transfer object with query configuration data.

#### indexCustomFunctionClasses

    public String[] indexCustomFunctionClasses()

Returns:
  Classes with methods annotated by `QuerySqlFunction`.

#### searchPath

    public String[] searchPath()

Returns:
  Optional search path consisting of space names to search SQL schema objects.

#### initialScriptPath

    public String initialScriptPath()

Returns:
  Script path to be ran against H2 database after opening.

#### maxOffHeapMemory

    public long maxOffHeapMemory()

Returns:
  Maximum amount of memory available to off-heap storage.

#### longQueryExecutionTimeout

    public long longQueryExecutionTimeout()

Returns:
  Query execution time threshold.

#### longQryExplain

    public boolean longQryExplain()

Returns:
  If `true`, SPI will print SQL execution plan for long queries.

#### useOptimizedSerializer

    public boolean useOptimizedSerializer()

Returns:
  The flag indicating that serializer for H2 database will be set to Ignite's marshaller.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015